package com.genlot.ninglottery.game.bet;

/**
 * @author ZhuYongKang
 * @description 投注number定义
 * @date 2019/8/20
 */
public class BetNumber {
    /**
     * 球类别:普通
     */
    public static final int NORMAL = 0;
    /**
     * 球类别:选中
     */
    public static final int CHECKED = 1;
    /**
     * 球类别:胆
     */
    public static final int DAN = 2;
    /**
     * 球号码
     */
    private String number;
    /**
     * 球类别
     */
    private int type;
    /**
     * 是否红球
     */
    private boolean isRed;
    /**
     * 是否包胆
     */
    private boolean isBase;

    public BetNumber(String number) {
        this.number = number;
        this.type = NORMAL;
        isRed = true;
        isBase = false;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public boolean isRed() {
        return isRed;
    }

    public void setRed(boolean red) {
        isRed = red;
    }

    public void setBase(boolean isBase) {
        this.isBase = isBase;
    }

    public boolean isBase() {
        return isBase;
    }

}
